(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap18.png", id:"Bitmap18"},
		{src:"images/Bitmap19.png", id:"Bitmap19"},
		{src:"images/Bitmap20.png", id:"Bitmap20"},
		{src:"images/Bitmap21.png", id:"Bitmap21"},
		{src:"images/Bitmap22.png", id:"Bitmap22"},
		{src:"images/Bitmap23.png", id:"Bitmap23"},
		{src:"images/Bitmap24.png", id:"Bitmap24"},
		{src:"images/Bitmap25.png", id:"Bitmap25"},
		{src:"images/Bitmap26.png", id:"Bitmap26"},
		{src:"images/Bitmap27.png", id:"Bitmap27"},
		{src:"images/Bitmap28.png", id:"Bitmap28"},
		{src:"images/Bitmap29.png", id:"Bitmap29"},
		{src:"images/Bitmap30.png", id:"Bitmap30"},
		{src:"images/Bitmap31.png", id:"Bitmap31"},
		{src:"images/Bitmap32.png", id:"Bitmap32"},
		{src:"images/Bitmap33.png", id:"Bitmap33"},
		{src:"images/Bitmap34.png", id:"Bitmap34"},
		{src:"images/Bitmap35.png", id:"Bitmap35"},
		{src:"images/Bitmap36.png", id:"Bitmap36"},
		{src:"images/Bitmap37.png", id:"Bitmap37"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,56);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap18 = function() {
	this.initialize(img.Bitmap18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap19 = function() {
	this.initialize(img.Bitmap19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap20 = function() {
	this.initialize(img.Bitmap20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,56);


(lib.Bitmap21 = function() {
	this.initialize(img.Bitmap21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,55);


(lib.Bitmap22 = function() {
	this.initialize(img.Bitmap22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,55);


(lib.Bitmap23 = function() {
	this.initialize(img.Bitmap23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,55);


(lib.Bitmap24 = function() {
	this.initialize(img.Bitmap24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,55);


(lib.Bitmap25 = function() {
	this.initialize(img.Bitmap25);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,56);


(lib.Bitmap26 = function() {
	this.initialize(img.Bitmap26);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,55);


(lib.Bitmap27 = function() {
	this.initialize(img.Bitmap27);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,56);


(lib.Bitmap28 = function() {
	this.initialize(img.Bitmap28);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,56);


(lib.Bitmap29 = function() {
	this.initialize(img.Bitmap29);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,55);


(lib.Bitmap30 = function() {
	this.initialize(img.Bitmap30);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,108,56);


(lib.Bitmap31 = function() {
	this.initialize(img.Bitmap31);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,56);


(lib.Bitmap32 = function() {
	this.initialize(img.Bitmap32);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap33 = function() {
	this.initialize(img.Bitmap33);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap34 = function() {
	this.initialize(img.Bitmap34);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap35 = function() {
	this.initialize(img.Bitmap35);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,107,55);


(lib.Bitmap36 = function() {
	this.initialize(img.Bitmap36);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,604,687);


(lib.Bitmap37 = function() {
	this.initialize(img.Bitmap37);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,97,463);


(lib.Symbol35 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap35();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol34 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap34();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol33 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap33();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol32 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap32();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol31 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap31();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,56);
p.frameBounds = [rect];


(lib.Symbol30 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap21();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,55);
p.frameBounds = [rect];


(lib.Symbol29 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap22();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,55);
p.frameBounds = [rect];


(lib.Symbol28 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap23();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,55);
p.frameBounds = [rect];


(lib.Symbol27 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap24();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,55);
p.frameBounds = [rect];


(lib.Symbol26 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap25();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,56);
p.frameBounds = [rect];


(lib.Symbol25 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap26();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,55);
p.frameBounds = [rect];


(lib.Symbol24 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap27();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,56);
p.frameBounds = [rect];


(lib.Symbol23 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap28();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,56);
p.frameBounds = [rect];


(lib.Symbol22 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap29();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,55);
p.frameBounds = [rect];


(lib.Symbol21 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap30();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,56);
p.frameBounds = [rect];


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap20();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,108,56);
p.frameBounds = [rect];


(lib.Symbol19 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap19();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol18 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap18();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap17();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,56);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol12 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol11 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,107,55);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '13234',
			title: 'Oblicz za pomocą mnożenia, ile trzeba zapłacić.',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			endsound: 'ssBrawa',
			/*
			groupdrags: {		
				1: ['1', '2', '3', '6'],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2|3',
				/*drop_3:*/ '2|3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5|6',	
				/*drop_6:*/ '5|6',	
				/*drop_7:*/ '7|8',	
				/*drop_8:*/ '7|8',	
				/*drop_9:*/ '9|10',		
				/*drop_10:*/ '9|10',		
				/*drop_11:*/ '11|12|13',		
				/*drop_12:*/ '11|12|13',		
				/*drop_13:*/ '11|12|13',		
				/*drop_14:*/ '14',		
				/*drop_15:*/ '15|16',		
				/*drop_16:*/ '15|16',		
				/*drop_17:*/ '17|18',		
				/*drop_18:*/ '17|18',		
				/*drop_19:*/ '19|20|21',		
				/*drop_20:*/ '19|20|21',		
				/*drop_21:*/ '19|20|21',		
				/*drop_22:*/ '22|23',		
				/*drop_23:*/ '22|23',		
				/*drop_24:*/ '24',		
				/*drop_25:*/ '25',		
				/*drop_26:*/ '26|27',		
				/*drop_27:*/ '26|27',		
				/*drop_28:*/ '28',		
				/*drop_29:*/ '29',		
				/*drop_30:*/ '30|31',		
				/*drop_31:*/ '30|31',		
				/*drop_32:*/ '32|33',		
				/*drop_33:*/ '32|33',		
				/*drop_34:*/ '34',		
				/*drop_35:*/ '35',		
				/*drop_36:*/ '36',		
				/*drop_37:*/ '37',		
				/*drop_38:*/ '38',		
				/*drop_39:*/ '39',		
				/*drop_40:*/ '40',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drop_40 = new lib.Symbol1();
	this.drop_40.setTransform(649,519.8,1,1,0,0,0,53.5,27.5);

	this.drag_40 = new lib.Symbol1();
	this.drag_40.setTransform(976,554.9,1,1,0,0,0,53.5,27.5);

	this.drop_39 = new lib.Symbol35();
	this.drop_39.setTransform(496,660.5,1,1,0,0,0,53.5,27.5);

	this.drop_38 = new lib.Symbol34();
	this.drop_38.setTransform(496,613.5,1,1,0,0,0,53.5,27.5);

	this.drop_37 = new lib.Symbol33();
	this.drop_37.setTransform(346.1,660.5,1,1,0,0,0,53.5,27.5);

	this.drop_36 = new lib.Symbol32();
	this.drop_36.setTransform(496,566.6,1,1,0,0,0,53.5,27.5);

	this.drop_35 = new lib.Symbol31();
	this.drop_35.setTransform(346.1,613.5,1,1,0,0,0,53.5,28);

	this.drop_34 = new lib.Symbol21();
	this.drop_34.setTransform(496.5,519.8,1,1,0,0,0,54,28);

	this.drop_33 = new lib.Symbol22();
	this.drop_33.setTransform(799.5,660.5,1,1,0,0,0,54,27.5);

	this.drag_33 = new lib.Symbol22();
	this.drag_33.setTransform(1091.8,660,1,1,0,0,0,54,27.5);

	this.drop_32 = new lib.Symbol22();
	this.drop_32.setTransform(346.4,566.6,1,1,0,0,0,54,27.5);

	this.drop_31 = new lib.Symbol23();
	this.drop_31.setTransform(799.5,613.5,1,1,0,0,0,54,28);

	this.drag_31 = new lib.Symbol23();
	this.drag_31.setTransform(1091.8,608.4,1,1,0,0,0,54,28);

	this.drop_30 = new lib.Symbol23();
	this.drop_30.setTransform(496.5,472.9,1,1,0,0,0,54,28);

	this.drop_29 = new lib.Symbol24();
	this.drop_29.setTransform(346.4,519.8,1,1,0,0,0,54,28);

	this.drop_28 = new lib.Symbol25();
	this.drop_28.setTransform(799.5,566.6,1,1,0,0,0,54,27.5);

	this.drop_27 = new lib.Symbol26();
	this.drop_27.setTransform(496.5,426.1,1,1,0,0,0,54,28);

	this.drag_27 = new lib.Symbol26();
	this.drag_27.setTransform(1091.8,450.7,1,1,0,0,0,54,28);

	this.drop_26 = new lib.Symbol26();
	this.drop_26.setTransform(346.6,472.9,1,1,0,0,0,54,28);

	this.drop_25 = new lib.Symbol27();
	this.drop_25.setTransform(799.5,519.8,1,1,0,0,0,54,27.5);

	this.drop_24 = new lib.Symbol28();
	this.drop_24.setTransform(346.5,426.1,1,1,0,0,0,54,27.5);

	this.drop_23 = new lib.Symbol29();
	this.drop_23.setTransform(799.5,472.9,1,1,0,0,0,54,27.5);

	this.drag_23 = new lib.Symbol29();
	this.drag_23.setTransform(1091.8,292.8,1,1,0,0,0,54,27.5);

	this.drop_22 = new lib.Symbol29();
	this.drop_22.setTransform(496.5,379.2,1,1,0,0,0,54,27.5);

	this.drop_21 = new lib.Symbol30();
	this.drop_21.setTransform(799.5,426.1,1,1,0,0,0,54,27.5);

	this.drag_21 = new lib.Symbol30();
	this.drag_21.setTransform(1091.8,240.5,1,1,0,0,0,54,27.5);

	this.drop_20 = new lib.Symbol30();
	this.drop_20.setTransform(649.5,660.5,1,1,0,0,0,54,27.5);

	this.drag_20 = new lib.Symbol30();
	this.drag_20.setTransform(1091.8,240.5,1,1,0,0,0,54,27.5);

	this.drop_19 = new lib.Symbol30();
	this.drop_19.setTransform(346.3,379.2,1,1,0,0,0,54,27.5);

	this.drop_18 = new lib.Symbol20();
	this.drop_18.setTransform(649.5,613.5,1,1,0,0,0,54,28);

	this.drag_18 = new lib.Symbol20();
	this.drag_18.setTransform(1091.8,188.9,1,1,0,0,0,54,28);

	this.drop_17 = new lib.Symbol20();
	this.drop_17.setTransform(496.5,332.4,1,1,0,0,0,54,28);

	this.drop_16 = new lib.Symbol19();
	this.drop_16.setTransform(649,566.6,1,1,0,0,0,53.5,27.5);

	this.drag_16 = new lib.Symbol19();
	this.drag_16.setTransform(976,659,1,1,0,0,0,53.5,27.5);

	this.drop_15 = new lib.Symbol19();
	this.drop_15.setTransform(799,379.2,1,1,0,0,0,53.5,27.5);

	this.drop_14 = new lib.Symbol18();
	this.drop_14.setTransform(346.2,332.4,1,1,0,0,0,53.5,27.5);

	this.drop_13 = new lib.Symbol17();
	this.drop_13.setTransform(799,332.4,1,1,0,0,0,53.5,27.5);

	this.drag_13 = new lib.Symbol17();
	this.drag_13.setTransform(976,503.9,1,1,0,0,0,53.5,27.5);

	this.drop_12 = new lib.Symbol17();
	this.drop_12.setTransform(649,472.9,1,1,0,0,0,53.5,27.5);

	this.drag_12 = new lib.Symbol17();
	this.drag_12.setTransform(976,503.9,1,1,0,0,0,53.5,27.5);

	this.drop_11 = new lib.Symbol17();
	this.drop_11.setTransform(496,285.5,1,1,0,0,0,53.5,27.5);

	this.drop_10 = new lib.Symbol16();
	this.drop_10.setTransform(649,426.1,1,1,0,0,0,53.5,27.5);

	this.drag_10 = new lib.Symbol16();
	this.drag_10.setTransform(976,448.9,1,1,0,0,0,53.5,27.5);

	this.drop_9 = new lib.Symbol16();
	this.drop_9.setTransform(346.2,285.5,1,1,0,0,0,53.5,27.5);

	this.drop_8 = new lib.Symbol15();
	this.drop_8.setTransform(649,379.2,1,1,0,0,0,53.5,28);

	this.drag_8 = new lib.Symbol15();
	this.drag_8.setTransform(976,398,1,1,0,0,0,53.5,28);

	this.drop_7 = new lib.Symbol15();
	this.drop_7.setTransform(799,285.5,1,1,0,0,0,53.5,28);

	this.drop_6 = new lib.Symbol13();
	this.drop_6.setTransform(649,332.4,1,1,0,0,0,53.5,27.5);

	this.drag_6 = new lib.Symbol13();
	this.drag_6.setTransform(976,344.2,1,1,0,0,0,53.5,27.5);

	this.drop_5 = new lib.Symbol13();
	this.drop_5.setTransform(496,238.7,1,1,0,0,0,53.5,27.5);

	this.drop_4 = new lib.Symbol14();
	this.drop_4.setTransform(346.3,238.7,1,1,0,0,0,53.5,27.5);

	this.drop_3 = new lib.Symbol12();
	this.drop_3.setTransform(649,285.5,1,1,0,0,0,53.5,27.5);

	this.drag_3 = new lib.Symbol12();
	this.drag_3.setTransform(976,241.8,1,1,0,0,0,53.5,27.5);

	this.drag_4 = new lib.Symbol14();
	this.drag_4.setTransform(976,292.6,1,1,0,0,0,53.5,27.5);

	this.drop_2 = new lib.Symbol12();
	this.drop_2.setTransform(799,238.7,1,1,0,0,0,53.5,27.5);

	this.drop_1 = new lib.Symbol11();
	this.drop_1.setTransform(649,238.7,1,1,0,0,0,53.5,27.5);

	this.instance = new lib.Bitmap37();
	this.instance.setTransform(151,213);

	this.drag_39 = new lib.Symbol35();
	this.drag_39.setTransform(1204.6,448.5,1,1,0,0,0,53.5,27.5);

	this.drag_38 = new lib.Symbol34();
	this.drag_38.setTransform(1204.6,396,1,1,0,0,0,53.5,27.5);

	this.drag_37 = new lib.Symbol33();
	this.drag_37.setTransform(1204.6,343.7,1,1,0,0,0,53.5,27.5);

	this.drag_36 = new lib.Symbol32();
	this.drag_36.setTransform(1204.6,291.7,1,1,0,0,0,53.5,27.5);

	this.drag_35 = new lib.Symbol31();
	this.drag_35.setTransform(1204.6,240.9,1,1,0,0,0,53.5,28);

	this.drag_19 = new lib.Symbol30();
	this.drag_19.setTransform(1091.8,240.5,1,1,0,0,0,54,27.5);

	this.drag_22 = new lib.Symbol29();
	this.drag_22.setTransform(1091.8,292.8,1,1,0,0,0,54,27.5);

	this.drag_24 = new lib.Symbol28();
	this.drag_24.setTransform(1091.8,344.6,1,1,0,0,0,54,27.5);

	this.drag_25 = new lib.Symbol27();
	this.drag_25.setTransform(1091.8,397.6,1,1,0,0,0,54,27.5);

	this.drag_26 = new lib.Symbol26();
	this.drag_26.setTransform(1091.8,450,1,1,0,0,0,54,28);

	this.drag_28 = new lib.Symbol25();
	this.drag_28.setTransform(1091.8,501.8,1,1,0,0,0,54,27.5);

	this.drag_29 = new lib.Symbol24();
	this.drag_29.setTransform(1091.8,555.7,1,1,0,0,0,54,28);

	this.drag_30 = new lib.Symbol23();
	this.drag_30.setTransform(1091.8,608,1,1,0,0,0,54,28);

	this.drag_32 = new lib.Symbol22();
	this.drag_32.setTransform(1091.8,660,1,1,0,0,0,54,27.5);

	this.drag_34 = new lib.Symbol21();
	this.drag_34.setTransform(1204.1,188.9,1,1,0,0,0,54,28);

	this.drag_17 = new lib.Symbol20();
	this.drag_17.setTransform(1091.8,188.9,1,1,0,0,0,54,28);

	this.drag_15 = new lib.Symbol19();
	this.drag_15.setTransform(976,659,1,1,0,0,0,53.5,27.5);

	this.drag_14 = new lib.Symbol18();
	this.drag_14.setTransform(976,606.7,1,1,0,0,0,53.5,27.5);

	this.drag_11 = new lib.Symbol17();
	this.drag_11.setTransform(976,503.9,1,1,0,0,0,53.5,27.5);

	this.drag_9 = new lib.Symbol16();
	this.drag_9.setTransform(976,450.8,1,1,0,0,0,53.5,27.5);

	this.drag_7 = new lib.Symbol15();
	this.drag_7.setTransform(976,399,1,1,0,0,0,53.5,28);

	this.drag_5 = new lib.Symbol13();
	this.drag_5.setTransform(976,344.2,1,1,0,0,0,53.5,27.5);

	this.drag_2 = new lib.Symbol12();
	this.drag_2.setTransform(976,241.8,1,1,0,0,0,53.5,27.5);

	this.drag_1 = new lib.Symbol11();
	this.drag_1.setTransform(976,190.5,1,1,0,0,0,53.5,27.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_2},{t:this.drag_5},{t:this.drag_7},{t:this.drag_9},{t:this.drag_11},{t:this.drag_14},{t:this.drag_15},{t:this.drag_17},{t:this.drag_34},{t:this.drag_32},{t:this.drag_30},{t:this.drag_29},{t:this.drag_28},{t:this.drag_26},{t:this.drag_25},{t:this.drag_24},{t:this.drag_22},{t:this.drag_19},{t:this.drag_35},{t:this.drag_36},{t:this.drag_37},{t:this.drag_38},{t:this.drag_39},{t:this.instance},{t:this.drop_1},{t:this.drop_2},{t:this.drag_4},{t:this.drag_3},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drag_6},{t:this.drop_6},{t:this.drop_7},{t:this.drag_8},{t:this.drop_8},{t:this.drop_9},{t:this.drag_10},{t:this.drop_10},{t:this.drop_11},{t:this.drag_12},{t:this.drop_12},{t:this.drag_13},{t:this.drop_13},{t:this.drop_14},{t:this.drop_15},{t:this.drag_16},{t:this.drop_16},{t:this.drop_17},{t:this.drag_18},{t:this.drop_18},{t:this.drop_19},{t:this.drag_20},{t:this.drop_20},{t:this.drag_21},{t:this.drop_21},{t:this.drop_22},{t:this.drag_23},{t:this.drop_23},{t:this.drop_24},{t:this.drop_25},{t:this.drop_26},{t:this.drag_27},{t:this.drop_27},{t:this.drop_28},{t:this.drop_29},{t:this.drop_30},{t:this.drag_31},{t:this.drop_31},{t:this.drop_32},{t:this.drag_33},{t:this.drop_33},{t:this.drop_34},{t:this.drop_35},{t:this.drop_36},{t:this.drop_37},{t:this.drop_38},{t:this.drop_39},{t:this.drag_40},{t:this.drop_40}]}).wait(1));

	// Layer 2
	this.instance_1 = new lib.Bitmap36();
	this.instance_1.setTransform(267.4,10.2);

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(151,10.2,1107.1,687);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(791,370.2,1107.1,687);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;